%define name		jdbc-stdext
%define version		2.0
%define release		8jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java DataBase Connectivity 2.0 optional package
License:	Sun Binary Code License
Url:		http://java.sun.com/products/jdbc
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	jdbc2_0_1-stdext-javadoc.zip
Source1:	jdbc2_0-stdext.jar
Source2:	%{name}.license.bz2
NoSource:	0
NoSource:	1
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The javax.sql package is also called the JDBC 2.0 Optional Package API
(formerly known as the JDBC 2.0 Standard Extension API).

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -c
%setup -c -T -D -a1
cp %{SOURCE1} .
bzcat %{SOURCE2} > LICENSE
# fix files perms
chmod -R go=u-w *

%build

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 jdbc2_0-stdext.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for file in *.jar; do ln -sf $file `basename $file -%{version}.jar`.jar;done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr html/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE
%{javadir}/*.jar

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-8jpp
- vendor, distribution, group tags

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-7jpp 
- section macro
- nosrc package
- added Sun Binary Code License

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-6jpp
- javadoc in %{javadocdir} again 

* Mon Jan 7 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-5jpp
- javadoc back to /usr/share/doc
- no dependencies for javadoc package
- standardised summary

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-4jpp
- javadoc into javadoc package

* Sun Oct 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-3jpp
- first unified release

* Tue Oct 09 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-2mdk
- s/jPackage/JPackage/
- spec cleanup

* Tue Sep 04 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-1mdk
- first Mandrake release
